View Issue Details

IDProjectCategoryView StatusLast Update
0002583SOGoWeb Address Bookpublic2014-01-24 13:56
Reporterskliarie Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformUbuntu 12.04OSDebianOS Version5 (Lenny)
Product Version2.1.1b 
Target Version2.2.0Fixed in Version2.2.0 
Summary0002583: Subscribing to another user's addressbook yields empty addressbook
Description

resubscribtion to addressbook of another user yields empty addressbook.

Note that initially I have been able to see entries properly, the problem started when I deleted the foreign addressbook from list of my addressbooks and then tried to resubscribe.

Steps To Reproduce

Create an addressbook at user A.
Add couple entries to the addressbook.
Give user B full access to the addressbook
Subscribe user B to the addressbook.

Switch to user B.
Verify the shared addressbook is fully accessible
Delete the shared addressbook.
Click on "Add addressbook"
Enter email of user B
Click on the shared addressbook.
Observe the bug - the added addressbook is empty.

Additional Information

When I click on the empty addressbook, /var/log/sogo/sogo.log shows this:
212.179.137.49 - - [21/Jan/2014:18:49:03 GMT] "POST /SOGo/so/arie/Contacts/cm_23E7-4F8D6C80-7-56CDD980/view?noframe=1&sort=c_cn&asc=true HTTP/1.1" 404 208/0 0.007 - - 0

Note error 404.

TagsNo tags attached.

Activities

francis

francis

2014-01-24 10:26

administrator   ~0006423

Can you paste your user's settings for the Contacts module? Use sogo-tool like this:

sogo-tool user-preferences get settings arie Contacts

And try to delete those settings to see if it fixes your problem:

sogo-tool user-preferences unset settings arie Contacts

francis

francis

2014-01-24 13:56

administrator   ~0006424

Fixed.

See https://github.com/inverse-inc/sogo/commit/fc0c580fe1179852ca7ab207bbd863a8506ecca4

Issue History

Date Modified Username Field Change
2014-01-21 11:58 skliarie New Issue
2014-01-23 15:06 francis Target Version => 2.2.0
2014-01-24 10:26 francis Note Added: 0006423
2014-01-24 10:26 francis Summary Subscribing to another user's calendar yields empty addressbook => Subscribing to another user's addressbook yields empty addressbook
2014-01-24 10:26 francis Description Updated View Revisions
2014-01-24 13:56 francis Note Added: 0006424
2014-01-24 13:56 francis Status new => resolved
2014-01-24 13:56 francis Fixed in Version => 2.2.0
2014-01-24 13:56 francis Resolution open => fixed
2014-01-24 13:56 francis Assigned To => francis